<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Xsens Device API low level communication library</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Xsens Device API low level communication library </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h1><a class="anchor" id="intro_xcomm"></a>
Introduction</h1>
<p>This library contains classes for communicating with Xsens devices on a basic level. It contains direct I/O interface classes as well as some message handling classes.</p>
<p>The target audience of this library is developers for small embedded platforms for which we do not have full XsensDeviceAPI support (yet). If you're using Windows or Linux on a PC platform, please use the full XDA dll/shared object instead.</p>
<p>These objects are the communication objects used by XDA, so the code can be read as a reference for interested people to see how XDA communicates with devices. If you find an error in the code, please let us know through <a href="#" onclick="location.href='mai'+'lto:'+'sup'+'po'+'rt@'+'xs'+'ens'+'.c'+'om'; return false;">suppo<span style="display: none;">.nosp@m.</span>rt@x<span style="display: none;">.nosp@m.</span>sens.<span style="display: none;">.nosp@m.</span>com</a> so we can improve the next version.</p>
<p>This library also contains the objects normally in the xstypes library. Since a user of this library does not have access to dlls or shared objects (otherwise he would be using XDA), this should not cause problems with multiple definitions.</p>
<h1><a class="anchor" id="usage"></a>
Usage</h1>
<p>The library consists of a folder structure with header and source files. All files that you need should be added to your project, as well as those that they depend on. The folder structure is important and should be maintained, otherwise you may need to update a lot of include statements. Also, add the base source file path of the library to your search path.</p>
<p>When building on Windows, make sure you have winusb available. We have included a version with the library.</p>
<p>In general, you will have to figure out platform-specific issues for yourself. If you encounter something that could be improved or a small tweak that we could make to allow easier migration to your specific platform, please let us know through <a href="#" onclick="location.href='mai'+'lto:'+'sup'+'po'+'rt@'+'xs'+'ens'+'.c'+'om'; return false;">suppo<span style="display: none;">.nosp@m.</span>rt@x<span style="display: none;">.nosp@m.</span>sens.<span style="display: none;">.nosp@m.</span>com</a> so we can improve the next version. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
